*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:#0f172a;
    color:white;
    font-family:'Poppins',sans-serif;
}

.container{
    max-width:1200px;
    margin:auto;
    padding:30px;
}

header{
    text-align:center;
    margin-bottom:40px;
}

header h1{
    font-size:3rem;
    margin-bottom:10px;
}

header p{
    color:#94a3b8;
}

.cards{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
    gap:20px;
}

.card{
    background:#1e293b;
    padding:25px;
    border-radius:20px;
    text-align:center;
    transition:0.3s;
}

.card:hover{
    transform:translateY(-5px);
}

.card h3{
    margin-bottom:15px;
}

.green{
    color:#22c55e;
    font-weight:bold;
}

.control-panel{
    text-align:center;
    margin-top:40px;
}

button{
    border:none;
    border-radius:15px;
    padding:18px 30px;
    margin:10px;
    font-size:18px;
    cursor:pointer;
    font-weight:600;
    transition:.3s;
}

.btn-on{
    background:#22c55e;
    color:white;
}

.btn-off{
    background:#ef4444;
    color:white;
}

button:hover{
    transform:scale(1.05);
}

.history{
    margin-top:50px;
    background:#1e293b;
    padding:25px;
    border-radius:20px;
}

.history h2{
    margin-bottom:20px;
}

.history ul{
    list-style:none;
}

.history li{
    padding:10px 0;
    border-bottom:1px solid rgba(255,255,255,.1);
}

footer{
    margin-top:40px;
    text-align:center;
    color:#94a3b8;
}